> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token comments



## OpenAPI

````yaml get /token/{id}/comments
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /token/{id}/comments:
    get:
      tags:
        - Tokens
      operationId: TokenController_getComments
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            type: number
        - name: user
          required: false
          in: query
          schema:
            type: string
        - name: sort
          required: false
          in: query
          schema:
            type: array
            items:
              type: string
        - name: pinned
          required: false
          in: query
          schema:
            type: boolean
        - name: community
          required: false
          in: query
          description: Filter for community comments (0 for regular, 1 for community)
          schema:
            default: 0
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Paginated'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/CommentEntity'
components:
  schemas:
    Paginated:
      type: object
      properties:
        data:
          type: array
          items:
            type: string
        count:
          type: number
        page:
          type: number
        limit:
          type: number
      required:
        - data
        - count
        - page
        - limit
    CommentEntity:
      type: object
      properties:
        id:
          format: int64
          type: integer
        user:
          type: string
        token:
          type: string
        time:
          format: date-time
          type: string
        message:
          type: string
        reported:
          type: boolean
          default: false
        blocked:
          type: boolean
          default: false
        image:
          type: string
        pinned:
          type: boolean
        pinned_time:
          format: date-time
          type: string
        community:
          type: integer
          default: 0
          description: If 1, comment is in the community section requiring token ownership
        user_username:
          type: string
        user_image:
          type: string
        vote:
          $ref: '#/components/schemas/CommentVoteEntity'
        user_upvote:
          type: boolean
      required:
        - id
        - user
        - token
        - time
        - message
        - reported
        - blocked
        - pinned
        - pinned_time
        - community
        - vote
        - user_upvote
    CommentVoteEntity:
      type: object
      properties:
        upvotes:
          type: number
          format: decimal
        downvotes:
          type: number
          format: decimal
        total:
          type: number
      required:
        - upvotes
        - downvotes
        - total

````